(in-package :blog)

(defplugin "/(image \"url\" [:center] [:320x240]) - insert image."
  (lambda (blog req page arg stream)
    (declare (ignorable blog req page))
    (let ((url    (car arg))
	  (options (cdr arg)))
      (when (stringp url)
        (when (find :center options) (write-line "<center>" stream))
	(let ((url (if (string=? "http://" url) url (format nil "files/~A" url))))
	  (cond ((find :320x240 options)
		 (format stream "<a href=\"~A\"><image width=\"320\" height=\"240\" src=\"~A\" /></a>" url url))
		((find :640x480 options)
		 (format stream "<a href=\"~A\"><image width=\"320\" height=\"240\" src=\"~A\" /></a>" url url))
		((find :50% options)
		 (format stream "<a href=\"~A\"><image width=\"50%\" height=\"50%\" src=\"~A\" /></a>" url url))
		(t (format stream "<image src=\"~A\" />" url))))
        (when (find :center options) (write-line "</center>" stream))))))
