(in-package :blog)

(defplugin "/(index [:days|:pages|:files|:plugins]) - make index list"
  (lambda (blog req page arg stream)
    (declare (ignorable blog req page arg stream))
    (let* ((type (car arg))
	   (lst (case type
		  (:days (days-of blog))
		  (:pages (pages-of blog))
		  (:files (files-of blog))
		  (:plugins (plugins-of blog))
		  (t        nil))))
      (write-line "<ul>" stream)
      (loop for p in (and lst (sort (copy-list lst) (case type (:days #'string>) (t #'string<)) :key #'name-of))
	    do (case type
		 (:plugins (when (document-of p) (format stream "<li>~A</li>~%" (document-of p))))
		 (:files   (format stream "<li><a href=\"files/~A.~A\">~A.~A</a></li>~%"
				   (name-of p) (filetype-of p) (name-of p) (filetype-of p)))
		 (t	   (unless (string=? "search_" (name-of p))
			     (format stream "<li><a href=\"~A.html\">~A</a></li>~%" (name-of p) (name-of p))))))
      (write-line "</ul>" stream))))
