(in-package :blog)
(defplugin "/(lastupdate) - insert last update date."
  (lambda (blog req page arg stream)
    (declare (ignorable blog req page arg stream))
    (when (numberp (mtime-of page))
      (multiple-value-bind (second minute hour date month year day-of-week dst-p tz)
  	  (decode-universal-time (mtime-of page))
        (declare (ignorable day-of-week dst-p))
        (format stream "Last Update: ~2,'0d:~2,'0d:~2,'0d ~d/~2,'0d/~2,'0d (GMT~@d)"
	        hour minute second year month date (- tz))))))
