(in-package :blog)
(defplugin "<em>_(Link) or _(Link|Title) </em> - insert link."
  (lambda (blog req page arg stream)
    (declare (ignorable blog req page))
    (when (stringp arg)
      (cond ((string-equal arg "(edit)")
	     (if (eq (method-of req) :static)
		 (write-string "(edit)" stream)
		 (format stream "<a href=\"~A.html?edit=true\">(edit)</a>" (name-of page))))
	    ((string-equal arg "(view)")
	     (format stream "<a href=\"~A.html\">(view)</a>" (name-of page)))
	    ((string-equal arg "(RSS)")
	     (format stream "<a href=\"recent-changes.rss\">(RSS)</a>"))
	    (t (let* ((p (position #\| arg))
		      (link (or (and p (subseq arg 1 p))
				(or  p (subseq arg 1 (1- (length arg))))))
		      (text (or (and p (subseq arg (1+ p) (1- (length arg))))
				link)))
		 (if (or (string=? "http://" link)
			 (string=? "https://" link)
			 (string=? "ftp://" link)
			 (string=? "files/" link)
			 (string=? "mailto:" link))
		     (format stream "<a href=\"~A\">~A</a>" link text)
		     (format stream "<a href=\"~A.html\">~A</a>" link text))))))))
