(in-package :blog)

(defplugin "/(recent-changes) - insert recent changes list."
  (lambda (blog req page arg stream)
    (declare (ignorable blog req page arg))
    (let ((lst (sort (append (days-of blog) (copy-list (pages-of blog )))
		     #'(lambda (e1 e2) (> (mtime-of e1) (mtime-of e2)))))
	  (n   (car arg)))
      (when lst
	(write-line "<ul>" stream)
	(loop with i = (or (and (integerp n) n)
			   10)
	      for page in lst
	      for name = (name-of page)
	      while (>= i 0)
	      unless (string=? "search_" name)
	      do
	      (if (> (mtime-of page) (- (get-universal-time) (* 24 60 60)))
		  (format stream "<li><a href=\"~A.html\"><em>(~A)</em></a></li>~%" name name)
		  (format stream "<li><a href=\"~A.html\">(~A)</a></li>~%" name name))
	      (decf i))
	(write-line "</ul>" stream)))))
