(in-package :blog)

(defplugin "/(weblog [N]) - show N days log."
  (lambda (blog req page arg stream)
    (declare (ignorable blog page arg))
    (let* ((days (car arg)))
      (when (numberp days)
	(loop for p in (days-of blog)
	      for i below (or (and (integerp days) days) 10)
	      do
	      (write-line "<div class=\"day\">" stream)
	      (format stream "<h1 class=\"date\">~A</h1>~%" (formatted-date-of (name-of p)))
	      (make-renderd-page p req)
	      (write-sequence (body-of p) stream)
	      (if (eq (method-of req) :static)
		  (format stream "<p class=\"tool\"><a href=\"~A.html\">(view)</a></p>" (name-of p))
		  (format stream "<p class=\"tool\"><a href=\"~A.html?edit=true\">(edit)</a></p>" (name-of p)))
	      (write-line "</div>" stream))))))
